mqtt:
  sensor:
    - unique_id: weewx_windSpeed_kph
      state_topic: "weewx/windSpeed_kph"
      name: "Weewx Wind Speed"
      unit_of_measurement: "km/h"
      state_class: measurement
      value_template: "{{ value | float(0) | round(1) }}"
      icon: "mdi:weather-windy-variant"

    - unique_id: weewx_windGust_kph
      state_topic: "weewx/windGust_kph"
      name: "Weewx Wind Gust"
      unit_of_measurement: "km/h"
      state_class: measurement
      value_template: "{{ value | float(0) | round(1) }}"
      icon: "mdi:weather-windy"

    - unique_id: weewx_outTemp_C
      state_topic: "weewx/outTemp_C"
      name: "Weewx Outdoor Temperature"
      unit_of_measurement: "°C"
      device_class: temperature
      state_class: measurement
      value_template: "{{ value | float(0) | round(1) }}"
      icon: "mdi:thermometer"

    - unique_id: weewx_inTemp_C
      state_topic: "weewx/inTemp_C"
      name: "Weewx Indoor Temperature"
      unit_of_measurement: "°C"
      device_class: temperature
      state_class: measurement
      value_template: "{{ value | float(0) | round(1) }}"
      icon: "mdi:thermometer"

    - unique_id: weewx_humidex_C
      state_topic: "weewx/humidex_C"
      name: "Weewx Humidex"
      unit_of_measurement: "°C"
      device_class: temperature
      state_class: measurement
      value_template: "{{ value | float(0) | round(1) }}"
      icon: "mdi:thermometer"

    - unique_id: weewx_dewpoint_C
      state_topic: "weewx/dewpoint_C"
      name: "Weewx Dewpoint"
      unit_of_measurement: "°C"
      device_class: temperature
      state_class: measurement
      value_template: "{{ value | float(0) | round(1) }}"
      icon: "mdi:thermometer"

    - unique_id: weewx_heatindex_C
      state_topic: "weewx/heatindex_C"
      name: "Weewx Heat Index"
      unit_of_measurement: "°C"
      device_class: temperature
      state_class: measurement
      value_template: "{{ value | float(0) | round(1) }}"
      icon: "mdi:thermometer"

    - unique_id: weewx_windchill_C
      state_topic: "weewx/windchill_C"
      name: "Weewx Windchill"
      unit_of_measurement: "°C"
      device_class: temperature
      state_class: measurement
      value_template: "{{ value | float(0) | round(1) }}"
      icon: "mdi:thermometer"

    - unique_id: weewx_outHumidity
      state_topic: "weewx/outHumidity"
      name: "Weewx Outdoor Humidity"
      unit_of_measurement: "%"
      device_class: humidity
      state_class: measurement
      value_template: "{{ value | float(0) | round(1) }}"
      icon: "mdi:water-percent"

    - unique_id: weewx_inHumidity
      state_topic: "weewx/inHumidity"
      name: "Weewx Indoor Humidity"
      unit_of_measurement: "%"
      device_class: humidity
      state_class: measurement
      value_template: "{{ value | float(0) | round(1) }}"
      icon: "mdi:water-percent"

    - unique_id: weewx_barometer_mbar
      state_topic: "weewx/barometer_mbar"
      name: "Weewx Barometer"
      unit_of_measurement: "hPa"
      device_class: pressure
      state_class: measurement
      value_template: "{{ value | float(0) | round(3) }}"
      icon: "mdi:gauge"

    - unique_id: weewx_altimeter_mbar
      state_topic: "weewx/altimeter_mbar"
      name: "Weewx Altimeter Pressure"
      unit_of_measurement: "hPa"
      device_class: pressure
      state_class: measurement
      value_template: "{{ value | float(0) | round(3) }}"
      icon: "mdi:gauge"

    - unique_id: weewx_windDir
      state_topic: "weewx/windDir"
      name: "Weewx Wind Direction"
      unit_of_measurement: "deg"
      state_class: measurement
      value_template: "{{ value | float(0) | round(1) }}"
      icon: "mdi:compass"

    - unique_id: weewx_windGustDir
      state_topic: "weewx/windGustDir"
      name: "Weewx Wind Gust Direction"
      unit_of_measurement: "deg"
      state_class: measurement
      value_template: "{{ value | float(0) | round(1) }}"
      icon: "mdi:compass"

    - unique_id: weewx_rainRate_cm_per_hour
      state_topic: "weewx/rainRate_cm_per_hour"
      name: "Weewx Rain Rate"
      unit_of_measurement: "cm/h"
      state_class: measurement
      value_template: "{{ value | float(0) | round(4) }}"
      icon: "mdi:weather-rainy"

    - unique_id: weewx_rain_cm
      state_topic: "weewx/rain_cm"
      name: "Weewx Rain Now"
      unit_of_measurement: "cm"
      state_class: measurement
      value_template: "{{ value | float(0) | round(4) }}"
      icon: "mdi:weather-rainy"

    - unique_id: weewx_hourRain_cm
      state_topic: "weewx/hourRain_cm"
      name: "Weewx Hourly Rain"
      unit_of_measurement: "cm"
      state_class: measurement
      value_template: "{{ value | float(0) | round(4) }}"
      icon: "mdi:weather-rainy"
